> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Livechat Configurations

> Get Livechat widget configuration information and additional visitor data.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.70.0             | Added       |

## OpenAPI

````json GET /api/v1/livechat/config
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/config": {
      "get": {
        "tags": [
          "Livechat"
        ],
        "summary": "Get Livechat Configurations",
        "description": "Get Livechat widget configuration information and additional visitor data.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.70.0             | Added       |",
        "operationId": "get-api-v1-livechat-config",
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "description": "The visitor token.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "department",
            "in": "query",
            "description": "The visitor's department.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "config": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean"
                        },
                        "settings": {
                          "type": "object",
                          "properties": {
                            "registrationForm": {
                              "type": "boolean"
                            },
                            "allowSwitchingDepartments": {
                              "type": "boolean"
                            },
                            "nameFieldRegistrationForm": {
                              "type": "boolean"
                            },
                            "emailFieldRegistrationForm": {
                              "type": "boolean"
                            },
                            "displayOfflineForm": {
                              "type": "boolean"
                            },
                            "videoCall": {
                              "type": "boolean"
                            },
                            "fileUpload": {
                              "type": "boolean"
                            },
                            "language": {
                              "type": "string"
                            },
                            "transcript": {
                              "type": "boolean"
                            },
                            "historyMonitorType": {
                              "type": "string"
                            },
                            "forceAcceptDataProcessingConsent": {
                              "type": "boolean"
                            },
                            "showConnecting": {
                              "type": "boolean"
                            },
                            "agentHiddenInfo": {
                              "type": "boolean"
                            },
                            "clearLocalStorageWhenChatEnded": {
                              "type": "boolean"
                            },
                            "limitTextLength": {
                              "type": "boolean"
                            }
                          }
                        },
                        "theme": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string"
                            },
                            "color": {
                              "type": "string"
                            },
                            "offlineTitle": {
                              "type": "string"
                            },
                            "offlineColor": {
                              "type": "string"
                            },
                            "actionLinks": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "icon": {
                                    "type": "string"
                                  },
                                  "i18nLabel": {
                                    "type": "string"
                                  },
                                  "method_id": {
                                    "type": "string"
                                  },
                                  "params": {
                                    "type": "string"
                                  }
                                }
                              }
                            }
                          }
                        },
                        "messages": {
                          "type": "object",
                          "properties": {
                            "offlineMessage": {
                              "type": "string"
                            },
                            "offlineSuccessMessage": {
                              "type": "string"
                            },
                            "offlineUnavailableMessage": {
                              "type": "string"
                            },
                            "conversationFinishedMessage": {
                              "type": "string"
                            },
                            "transcriptMessage": {
                              "type": "string"
                            }
                          }
                        },
                        "survey": {
                          "type": "object",
                          "properties": {
                            "items": {
                              "type": "array",
                              "items": {
                                "type": "string"
                              }
                            },
                            "values": {
                              "type": "array",
                              "items": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "departments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "name": {
                                "type": "string"
                              },
                              "showOnRegistration": {
                                "type": "boolean"
                              },
                              "showOnOfflineForm": {
                                "type": "boolean"
                              },
                              "departmentsAllowedToForward": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        },
                        "online": {
                          "type": "boolean"
                        },
                        "guest": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string"
                            },
                            "username": {
                              "type": "string"
                            },
                            "token": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            }
                          }
                        },
                        "room": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string"
                            },
                            "servedBy": {
                              "type": "object",
                              "properties": {
                                "_id": {
                                  "type": "string"
                                },
                                "username": {
                                  "type": "string"
                                }
                              }
                            },
                            "open": {
                              "type": "boolean"
                            }
                          }
                        },
                        "agent": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string"
                            },
                            "emails": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "address": {
                                    "type": "string"
                                  },
                                  "verified": {
                                    "type": "boolean"
                                  }
                                }
                              }
                            },
                            "name": {
                              "type": "string"
                            },
                            "username": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "config": {
                        "enabled": "true",
                        "settings": {
                          "registrationForm": "true",
                          "allowSwitchingDepartments": "false",
                          "nameFieldRegistrationForm": "true",
                          "emailFieldRegistrationForm": "true",
                          "displayOfflineForm": "true",
                          "videoCall": "false",
                          "fileUpload": "true",
                          "language": "",
                          "transcript": "false",
                          "historyMonitorType": "url",
                          "forceAcceptDataProcessingConsent": "false",
                          "showConnecting": "true",
                          "agentHiddenInfo": "false",
                          "clearLocalStorageWhenChatEnded": "false",
                          "limitTextLength": "false"
                        },
                        "theme": {
                          "title": "Rocket.Chat",
                          "color": "#C1272D",
                          "offlineTitle": "Leave a message",
                          "offlineColor": "#666666",
                          "actionLinks": [
                            {
                              "icon": "icon-videocam",
                              "i18nLabel": "Accept",
                              "method_id": "createLivechatCall",
                              "params": ""
                            },
                            {
                              "icon": "icon-cancel",
                              "i18nLabel": "Decline",
                              "method_id": "denyLivechatCall",
                              "params": ""
                            }
                          ]
                        },
                        "messages": {
                          "offlineMessage": "",
                          "offlineSuccessMessage": "",
                          "offlineUnavailableMessage": "",
                          "conversationFinishedMessage": "",
                          "transcriptMessage": ""
                        },
                        "survey": {
                          "items": [
                            "satisfaction",
                            "agentKnowledge",
                            "agentResposiveness",
                            "agentFriendliness"
                          ],
                          "values": [
                            "1",
                            "2",
                            "3",
                            "4",
                            "5"
                          ]
                        },
                        "departments": [
                          {
                            "_id": "652882d8a2f73c7460e18dc4",
                            "name": "Support",
                            "showOnRegistration": "false",
                            "showOnOfflineForm": "false",
                            "departmentsAllowedToForward": []
                          },
                          {
                            "_id": "64181a0728384134ed600dcc",
                            "name": "Lost",
                            "showOnRegistration": "false",
                            "showOnOfflineForm": "false",
                            "departmentsAllowedToForward": []
                          }
                        ],
                        "online": "true",
                        "guest": {
                          "_id": "2KNu66RPCwxA4ncy7",
                          "username": "guest-3",
                          "token": "iNKE8a6k6cjbqWhWd",
                          "name": "Livechat Visitor"
                        },
                        "room": {
                          "_id": "zRAeTszXor8CCPceB",
                          "servedBy": {
                            "_id": "7Gm3PoFCJWTCJ68XR",
                            "username": "livechat.agent"
                          },
                          "open": "true"
                        },
                        "agent": {
                          "_id": "7Gm3PoFCJWTCJ68XR",
                          "emails": [
                            {
                              "address": "agent@rocket.chat",
                              "verified": "true"
                            }
                          ],
                          "name": "Livechat Agent",
                          "username": "livechat.agent"
                        }
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

